``` ini

BenchmarkDotNet=v0.12.1, OS=Windows 10.0.19042
AMD Ryzen 9 3950X, 1 CPU, 32 logical and 16 physical cores
.NET Core SDK=5.0.200-preview.20601.7
  [Host]     : .NET Core 5.0.2 (CoreCLR 5.0.220.61120, CoreFX 5.0.220.61120), X64 RyuJIT
  DefaultJob : .NET Core 5.0.2 (CoreCLR 5.0.220.61120, CoreFX 5.0.220.61120), X64 RyuJIT


```
|                                       Method | LineCount |             Mean |         Error |         StdDev |           Median |        Gen 0 |        Gen 1 |     Gen 2 |      Allocated |
|--------------------------------------------- |---------- |-----------------:|--------------:|---------------:|-----------------:|-------------:|-------------:|----------:|---------------:|
|                                          **Csv** |         **0** |         **37.88 μs** |      **0.525 μs** |       **0.491 μs** |         **38.07 μs** |       **0.5493** |       **0.2441** |         **-** |        **4.65 KB** |
|                                    CsvHelper |         0 |         42.03 μs |      0.237 μs |       0.198 μs |         42.01 μs |       2.7466 |       1.4038 |         - |       22.84 KB |
|                           CsvTextFieldParser |         0 |         37.76 μs |      0.562 μs |       0.526 μs |         37.84 μs |       0.5493 |       0.2441 |         - |        4.62 KB |
|                                     Ctl_Data |         0 |         40.74 μs |      0.383 μs |       0.359 μs |         40.80 μs |       1.5259 |       0.7935 |         - |       12.71 KB |
|                                    Cursively |         0 |         40.96 μs |      0.565 μs |       0.528 μs |         40.72 μs |       0.4272 |       0.1831 |         - |         3.7 KB |
|                                FastCsvParser |         0 |         58.65 μs |      0.293 μs |       0.260 μs |         58.60 μs |      47.0581 |      41.9312 |   38.3911 |      195.57 KB |
|                                    FluentCsv |         0 |         37.45 μs |      0.692 μs |       0.647 μs |         37.31 μs |       0.4883 |       0.2441 |         - |        4.47 KB |
|                                    HomeGrown |         0 |         37.86 μs |      0.738 μs |       0.820 μs |         37.81 μs |       0.5493 |       0.2441 |         - |        4.62 KB |
|                          LumenWorksCsvReader |         0 |         41.32 μs |      0.334 μs |       0.296 μs |         41.37 μs |       1.5259 |       0.7935 |         - |       12.73 KB |
|                              mgholam_fastCSV |         0 |         54.58 μs |      0.165 μs |       0.154 μs |         54.60 μs |      48.8281 |      42.1753 |   38.3911 |      211.48 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |         0 |         42.39 μs |      0.230 μs |       0.192 μs |         42.41 μs |       3.7231 |       1.8921 |         - |       30.62 KB |
|                                    NReco_Csv |         0 |         48.11 μs |      0.318 μs |       0.248 μs |         48.19 μs |      10.2539 |       2.6245 |         - |       84.63 KB |
|                            ServiceStack_Text |         0 |         37.09 μs |      0.208 μs |       0.184 μs |         37.15 μs |       0.4883 |       0.2441 |         - |        4.45 KB |
|                                 string_Split |         0 |         37.02 μs |      0.371 μs |       0.347 μs |         37.10 μs |       0.4883 |       0.2441 |         - |        4.45 KB |
|                       SoftCircuits_CsvParser |         0 |         37.83 μs |      0.387 μs |       0.362 μs |         37.92 μs |       0.5493 |       0.2441 |         - |         4.8 KB |
|                              Sylvan_Data_Csv |         0 |         54.65 μs |      0.293 μs |       0.260 μs |         54.72 μs |      39.3066 |      38.4521 |   38.3911 |      135.25 KB |
|                                TinyCsvReader |         0 |         36.70 μs |      0.183 μs |       0.171 μs |         36.74 μs |       0.5493 |       0.3052 |         - |        4.52 KB |
|                                          **Csv** |         **1** |         **82.73 μs** |      **0.608 μs** |       **0.539 μs** |         **82.68 μs** |       **3.4180** |       **1.7090** |         **-** |       **28.06 KB** |
|                                    CsvHelper |         1 |         47.15 μs |      0.438 μs |       0.409 μs |         47.27 μs |       2.9297 |       1.4648 |         - |       24.04 KB |
|                           CsvTextFieldParser |         1 |         43.74 μs |      0.427 μs |       0.399 μs |         43.84 μs |       1.0376 |       0.4883 |         - |        8.82 KB |
|                                     Ctl_Data |         1 |         39.04 μs |      0.190 μs |       0.177 μs |         39.04 μs |       1.8921 |       0.9766 |         - |       15.75 KB |
|                                    Cursively |         1 |         45.06 μs |      0.127 μs |       0.106 μs |         45.09 μs |       0.6714 |       0.3662 |         - |        5.55 KB |
|                                FastCsvParser |         1 |         60.57 μs |      0.506 μs |       0.448 μs |         60.40 μs |      47.4854 |      41.8701 |   38.2080 |      203.29 KB |
|                                    FluentCsv |         1 |         93.40 μs |      0.355 μs |       0.332 μs |         93.41 μs |       2.5635 |       1.2207 |         - |       21.76 KB |
|                                    HomeGrown |         1 |         44.64 μs |      0.175 μs |       0.155 μs |         44.68 μs |       0.7935 |       0.3662 |         - |        6.76 KB |
|                          LumenWorksCsvReader |         1 |         49.40 μs |      0.655 μs |       0.581 μs |         49.55 μs |       1.4648 |       0.7324 |         - |       12.14 KB |
|                              mgholam_fastCSV |         1 |         63.72 μs |      0.317 μs |       0.281 μs |         63.66 μs |      48.8281 |      42.7246 |   38.2080 |      212.66 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |         1 |         93.82 μs |      0.861 μs |       0.805 μs |         93.86 μs |      11.2305 |       2.8076 |         - |       92.03 KB |
|                                    NReco_Csv |         1 |         53.35 μs |      0.123 μs |       0.115 μs |         53.30 μs |      10.6201 |       2.8687 |         - |       87.41 KB |
|                            ServiceStack_Text |         1 |         44.27 μs |      0.264 μs |       0.247 μs |         44.28 μs |       0.7935 |       0.3662 |         - |        6.87 KB |
|                                 string_Split |         1 |         44.28 μs |      0.631 μs |       0.590 μs |         44.19 μs |       0.7935 |       0.4272 |         - |         6.5 KB |
|                       SoftCircuits_CsvParser |         1 |         44.11 μs |      0.190 μs |       0.169 μs |         44.14 μs |       0.8545 |       0.4272 |         - |         7.3 KB |
|                              Sylvan_Data_Csv |         1 |         67.70 μs |      0.264 μs |       0.247 μs |         67.65 μs |      39.9170 |      38.3301 |   38.2080 |      142.27 KB |
|                                TinyCsvReader |         1 |         48.44 μs |      0.322 μs |       0.301 μs |         48.52 μs |       1.2817 |       0.6714 |         - |       10.68 KB |
|                                          **Csv** |        **10** |        **262.24 μs** |      **2.052 μs** |       **1.920 μs** |        **261.25 μs** |      **14.6484** |       **3.4180** |         **-** |      **119.55 KB** |
|                                    CsvHelper |        10 |         64.35 μs |      0.443 μs |       0.414 μs |         64.47 μs |       3.4180 |       1.7090 |         - |       28.45 KB |
|                           CsvTextFieldParser |        10 |         69.33 μs |      0.180 μs |       0.168 μs |         69.30 μs |       5.7373 |       1.9531 |         - |       47.32 KB |
|                                     Ctl_Data |        10 |         56.13 μs |      0.501 μs |       0.444 μs |         55.98 μs |       4.5776 |       1.5259 |         - |       37.76 KB |
|                                    Cursively |        10 |         60.18 μs |      0.150 μs |       0.133 μs |         60.17 μs |       1.5869 |       0.7935 |         - |       13.27 KB |
|                                FastCsvParser |        10 |         86.43 μs |      0.283 μs |       0.265 μs |         86.40 μs |      50.4150 |      43.3350 |   38.2080 |      227.66 KB |
|                                    FluentCsv |        10 |        575.46 μs |      2.625 μs |       2.455 μs |        575.61 μs |      21.4844 |       3.9063 |         - |      181.57 KB |
|                                    HomeGrown |        10 |         67.54 μs |      0.402 μs |       0.376 μs |         67.64 μs |       2.1973 |       1.0986 |         - |       17.96 KB |
|                          LumenWorksCsvReader |        10 |         79.21 μs |      0.211 μs |       0.198 μs |         79.23 μs |       7.9346 |       2.6855 |         - |       65.62 KB |
|                              mgholam_fastCSV |        10 |         76.54 μs |      0.293 μs |       0.274 μs |         76.45 μs |      50.0488 |      43.9453 |   38.2080 |      224.23 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |        10 |        261.31 μs |      0.536 μs |       0.418 μs |        261.29 μs |      64.9414 |       8.3008 |         - |      530.13 KB |
|                                    NReco_Csv |        10 |         69.48 μs |      0.252 μs |       0.236 μs |         69.42 μs |      11.8408 |       3.9063 |         - |        98.3 KB |
|                            ServiceStack_Text |        10 |         57.93 μs |      0.115 μs |       0.102 μs |         57.92 μs |       3.7842 |       1.8921 |         - |       31.27 KB |
|                                 string_Split |        10 |         52.81 μs |      0.097 μs |       0.090 μs |         52.82 μs |       3.3569 |       1.6479 |         - |       27.52 KB |
|                       SoftCircuits_CsvParser |        10 |         55.08 μs |      0.503 μs |       0.471 μs |         55.20 μs |       3.1128 |       1.5869 |         - |       25.85 KB |
|                              Sylvan_Data_Csv |        10 |         86.83 μs |      0.263 μs |       0.246 μs |         86.85 μs |      41.3818 |      39.1846 |   39.0625 |      146.66 KB |
|                                TinyCsvReader |        10 |         97.58 μs |      0.219 μs |       0.194 μs |         97.56 μs |       8.5449 |       2.1973 |         - |       70.38 KB |
|                                          **Csv** |       **100** |      **1,964.40 μs** |      **2.971 μs** |       **2.481 μs** |      **1,965.16 μs** |     **125.0000** |      **31.2500** |         **-** |     **1047.88 KB** |
|                                    CsvHelper |       100 |        262.70 μs |      2.720 μs |       2.544 μs |        263.52 μs |       8.3008 |       2.4414 |         - |       69.77 KB |
|                           CsvTextFieldParser |       100 |        370.41 μs |      0.954 μs |       0.846 μs |        370.30 μs |      53.2227 |      13.1836 |         - |      436.58 KB |
|                                     Ctl_Data |       100 |        187.38 μs |      0.452 μs |       0.401 μs |        187.41 μs |      31.7383 |       8.7891 |         - |      259.87 KB |
|                                    Cursively |       100 |        193.90 μs |      0.670 μs |       0.627 μs |        193.86 μs |       8.7891 |       2.9297 |         - |       72.38 KB |
|                                FastCsvParser |       100 |        280.71 μs |      4.594 μs |       4.297 μs |        279.01 μs |      73.7305 |      52.2461 |   38.0859 |      419.74 KB |
|                                    FluentCsv |       100 |      5,514.29 μs |     15.552 μs |      12.142 μs |      5,512.69 μs |     218.7500 |      54.6875 |         - |     1818.38 KB |
|                                    HomeGrown |       100 |        307.23 μs |      1.814 μs |       1.697 μs |        306.31 μs |      15.6250 |       4.8828 |         - |      128.82 KB |
|                          LumenWorksCsvReader |       100 |        337.57 μs |      1.209 μs |       1.131 μs |        338.11 μs |      68.3594 |      16.6016 |         - |      560.91 KB |
|                              mgholam_fastCSV |       100 |        213.97 μs |      1.125 μs |       1.052 μs |        214.20 μs |      64.4531 |      51.2695 |   38.5742 |      340.44 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |       100 |      1,963.46 μs |      3.342 μs |       2.962 μs |      1,964.13 μs |     617.1875 |     148.4375 |         - |     5061.77 KB |
|                                    NReco_Csv |       100 |        230.54 μs |      1.392 μs |       1.162 μs |        230.63 μs |      25.3906 |       8.3008 |         - |       208.8 KB |
|                            ServiceStack_Text |       100 |        255.40 μs |      1.523 μs |       1.350 μs |        255.27 μs |      34.6680 |       8.3008 |         - |         286 KB |
|                                 string_Split |       100 |        184.21 μs |      0.575 μs |       0.538 μs |        184.00 μs |      30.2734 |       7.8125 |         - |       248.5 KB |
|                       SoftCircuits_CsvParser |       100 |        204.60 μs |      0.688 μs |       0.537 μs |        204.42 μs |      27.0996 |       7.3242 |         - |      222.23 KB |
|                              Sylvan_Data_Csv |       100 |        235.25 μs |      0.876 μs |       0.819 μs |        234.96 μs |      47.6074 |      40.5273 |   39.5508 |      193.46 KB |
|                                TinyCsvReader |       100 |        559.24 μs |      2.088 μs |       1.954 μs |        558.68 μs |      83.9844 |      20.5078 |         - |      685.56 KB |
|                                          **Csv** |      **1000** |     **19,211.20 μs** |     **88.639 μs** |      **82.913 μs** |     **19,174.90 μs** |    **1250.0000** |     **500.0000** |         **-** |    **10238.17 KB** |
|                                    CsvHelper |      1000 |      2,119.82 μs |     41.072 μs |      38.418 μs |      2,096.35 μs |      62.5000 |      23.4375 |         - |      539.76 KB |
|                           CsvTextFieldParser |      1000 |      3,444.73 μs |     11.288 μs |      10.007 μs |      3,443.73 μs |     515.6250 |     226.5625 |         - |     4211.53 KB |
|                                     Ctl_Data |      1000 |      1,584.79 μs |      4.547 μs |       4.253 μs |      1,586.11 μs |     298.8281 |     105.4688 |         - |     2453.16 KB |
|                                    Cursively |      1000 |      1,361.32 μs |      4.888 μs |       4.572 μs |      1,360.57 μs |      83.9844 |      33.2031 |         - |      689.71 KB |
|                                FastCsvParser |      1000 |      2,086.18 μs |     32.439 μs |      30.344 μs |      2,104.71 μs |     335.9375 |     203.1250 |   70.3125 |     2429.03 KB |
|                                    FluentCsv |      1000 |     52,858.66 μs |    128.891 μs |     114.259 μs |     52,831.05 μs |    2100.0000 |     200.0000 |         - |    17887.86 KB |
|                                    HomeGrown |      1000 |      2,449.94 μs |     13.256 μs |      12.400 μs |      2,445.50 μs |     144.5313 |      66.4063 |         - |     1206.13 KB |
|                          LumenWorksCsvReader |      1000 |      3,110.15 μs |      8.195 μs |       7.666 μs |      3,109.13 μs |     652.3438 |     312.5000 |         - |     5355.16 KB |
|                              mgholam_fastCSV |      1000 |      1,389.90 μs |     14.921 μs |      13.957 μs |      1,390.54 μs |     199.2188 |     113.2813 |   35.1563 |     1480.08 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |      1000 |     19,883.21 μs |     35.252 μs |      29.437 μs |     19,881.90 μs |    5968.7500 |     625.0000 |   31.2500 |    48897.64 KB |
|                                    NReco_Csv |      1000 |      1,789.53 μs |     12.740 μs |      11.917 μs |      1,793.32 μs |     156.2500 |      54.6875 |         - |     1285.84 KB |
|                            ServiceStack_Text |      1000 |      2,114.46 μs |      6.693 μs |       5.226 μs |      2,114.53 μs |     335.9375 |     152.3438 |         - |     2766.29 KB |
|                                 string_Split |      1000 |      1,402.78 μs |     17.208 μs |      16.096 μs |      1,394.32 μs |     292.9688 |     121.0938 |         - |     2391.29 KB |
|                       SoftCircuits_CsvParser |      1000 |      1,671.58 μs |     10.200 μs |       9.042 μs |      1,667.92 μs |     257.8125 |     111.3281 |         - |     2118.92 KB |
|                              Sylvan_Data_Csv |      1000 |      1,665.65 μs |     12.600 μs |      11.786 μs |      1,666.13 μs |     103.5156 |      64.4531 |   35.1563 |      692.79 KB |
|                                TinyCsvReader |      1000 |      5,363.88 μs |     15.245 μs |      14.260 μs |      5,360.49 μs |     812.5000 |     304.6875 |         - |     6646.99 KB |
|                                          **Csv** |     **10000** |    **212,834.43 μs** |  **2,652.082 μs** |   **2,480.759 μs** |    **211,127.93 μs** |   **13333.3333** |    **3000.0000** | **1333.3333** |   **102428.66 KB** |
|                                    CsvHelper |     10000 |     21,770.52 μs |     47.802 μs |      44.714 μs |     21,764.96 μs |     437.5000 |     281.2500 |   93.7500 |     3205.34 KB |
|                           CsvTextFieldParser |     10000 |     47,710.53 μs |    123.095 μs |      96.104 μs |     47,752.06 μs |    5909.0909 |    2090.9091 |  909.0909 |    42431.38 KB |
|                                     Ctl_Data |     10000 |     37,430.08 μs |     88.245 μs |      82.544 μs |     37,453.25 μs |    3857.1429 |    1857.1429 |  928.5714 |    24537.19 KB |
|                                    Cursively |     10000 |     16,107.45 μs |    146.960 μs |     137.467 μs |     16,124.17 μs |     531.2500 |     250.0000 |   93.7500 |     4208.49 KB |
|                                FastCsvParser |     10000 |     36,368.51 μs |     99.109 μs |      87.857 μs |     36,397.18 μs |    3000.0000 |    1428.5714 |  571.4286 |    21476.79 KB |
|                                    FluentCsv |     10000 |    541,485.75 μs |  3,739.393 μs |   3,497.831 μs |    540,941.50 μs |   22000.0000 |    3000.0000 | 1000.0000 |   179077.58 KB |
|                                    HomeGrown |     10000 |     35,907.46 μs |    698.847 μs |     831.928 μs |     35,290.59 μs |    1714.2857 |    1000.0000 |  357.1429 |     12121.1 KB |
|                          LumenWorksCsvReader |     10000 |     50,684.21 μs |    416.596 μs |     389.684 μs |     50,825.46 μs |    7200.0000 |    2300.0000 |  900.0000 |     53734.5 KB |
|                              mgholam_fastCSV |     10000 |     18,800.51 μs |     20.699 μs |      19.362 μs |     18,802.66 μs |    1687.5000 |     843.7500 |  218.7500 |     12927.3 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |     10000 |    214,703.53 μs |  3,108.142 μs |   2,907.358 μs |    215,672.97 μs |   62000.0000 |    7333.3333 | 2000.0000 |   491352.68 KB |
|                                    NReco_Csv |     10000 |     27,900.60 μs |    262.359 μs |     219.081 μs |     28,021.45 μs |    1781.2500 |    1062.5000 |  375.0000 |    12205.55 KB |
|                            ServiceStack_Text |     10000 |     39,636.35 μs |    620.844 μs |     580.738 μs |     39,265.41 μs |    4307.6923 |    1923.0769 |  923.0769 |    27786.62 KB |
|                                 string_Split |     10000 |     30,401.53 μs |     20.678 μs |      19.343 μs |     30,406.32 μs |    3468.7500 |    1562.5000 |  593.7500 |    24036.41 KB |
|                       SoftCircuits_CsvParser |     10000 |     31,314.84 μs |    542.699 μs |     507.641 μs |     31,759.10 μs |    3000.0000 |    1375.0000 |  562.5000 |    21303.07 KB |
|                              Sylvan_Data_Csv |     10000 |     17,160.24 μs |     76.446 μs |      71.507 μs |     17,149.93 μs |     437.5000 |     281.2500 |   93.7500 |     3511.04 KB |
|                                TinyCsvReader |     10000 |     74,931.35 μs |    221.840 μs |     196.655 μs |     74,971.49 μs |    8857.1429 |    2571.4286 | 1000.0000 |    66823.33 KB |
|                                          **Csv** |    **100000** |  **2,030,822.61 μs** | **11,935.323 μs** |  **11,164.309 μs** |  **2,028,824.10 μs** |  **129000.0000** |   **34000.0000** | **4000.0000** |  **1023413.84 KB** |
|                                    CsvHelper |    100000 |    215,912.82 μs |    905.570 μs |     847.071 μs |    215,532.73 μs |    3666.6667 |    2000.0000 |  666.6667 |    27501.96 KB |
|                           CsvTextFieldParser |    100000 |    500,648.53 μs |  1,678.361 μs |   1,569.940 μs |    500,543.50 μs |   55000.0000 |   22000.0000 | 4000.0000 |    423675.4 KB |
|                                     Ctl_Data |    100000 |    382,942.65 μs |  7,653.125 μs |  20,295.001 μs |    391,994.50 μs |   32000.0000 |   13000.0000 | 3000.0000 |   244682.62 KB |
|                                    Cursively |    100000 |    155,269.02 μs |  2,347.468 μs |   2,195.823 μs |    154,367.85 μs |    4500.0000 |    1750.0000 |  500.0000 |    36235.53 KB |
|                                FastCsvParser |    100000 |    335,327.60 μs |  6,460.275 μs |   7,439.662 μs |    331,169.05 μs |   27000.0000 |   10000.0000 | 2000.0000 |   211188.27 KB |
|                                    FluentCsv |    100000 |  5,409,341.76 μs | 17,142.109 μs |  14,314.438 μs |  5,410,438.30 μs |  223000.0000 |   54000.0000 | 5000.0000 |  1789361.39 KB |
|                                    HomeGrown |    100000 |    346,220.48 μs |    880.112 μs |     734.933 μs |    346,433.30 μs |   16000.0000 |    9000.0000 | 2000.0000 |   120575.04 KB |
|                          LumenWorksCsvReader |    100000 |    560,891.91 μs |  6,794.344 μs |   6,355.433 μs |    563,826.00 μs |   70000.0000 |   25000.0000 | 5000.0000 |   536461.11 KB |
|                              mgholam_fastCSV |    100000 |    294,707.25 μs |  3,347.265 μs |   3,131.034 μs |    296,208.55 μs |   17000.0000 |    7000.0000 | 1500.0000 |    129667.6 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |    100000 |  2,029,137.29 μs |  9,265.927 μs |   8,667.354 μs |  2,024,805.60 μs |  605000.0000 |  130000.0000 | 5000.0000 |  4909509.25 KB |
|                                    NReco_Csv |    100000 |    297,400.07 μs |  1,141.165 μs |   1,067.446 μs |    297,525.85 μs |   16000.0000 |    8500.0000 | 2000.0000 |   120718.93 KB |
|                            ServiceStack_Text |    100000 |    347,155.28 μs |  5,194.055 μs |   4,337.271 μs |    345,765.40 μs |   35000.0000 |   11000.0000 | 2000.0000 |   277181.23 KB |
|                                 string_Split |    100000 |    296,841.31 μs |    942.948 μs |     882.034 μs |    296,939.95 μs |   31000.0000 |   12000.0000 | 2000.0000 |   239681.46 KB |
|                       SoftCircuits_CsvParser |    100000 |    286,903.54 μs |  5,657.337 μs |   7,552.382 μs |    284,800.60 μs |   27000.0000 |   10000.0000 | 2000.0000 |   212339.12 KB |
|                              Sylvan_Data_Csv |    100000 |    165,698.86 μs |    332.362 μs |     310.892 μs |    165,801.00 μs |    4000.0000 |    2250.0000 |  750.0000 |    29077.03 KB |
|                                TinyCsvReader |    100000 |    711,339.38 μs | 11,967.769 μs |  18,982.150 μs |    704,280.00 μs |   85000.0000 |   26000.0000 | 4000.0000 |    667364.8 KB |
|                                          **Csv** |   **1000000** | **19,357,839.77 μs** | **28,447.265 μs** |  **26,609.590 μs** | **19,348,653.60 μs** | **1258000.0000** |  **336000.0000** | **8000.0000** |  **10230084.5 KB** |
|                                    CsvHelper |   1000000 |  2,351,302.45 μs |  9,698.008 μs |   9,071.523 μs |  2,349,123.90 μs |   33000.0000 |   18000.0000 | 3000.0000 |   266836.56 KB |
|                           CsvTextFieldParser |   1000000 |  4,967,082.73 μs | 43,578.350 μs |  34,023.109 μs |  4,968,648.90 μs |  524000.0000 |  147000.0000 | 8000.0000 |  4232609.58 KB |
|                                     Ctl_Data |   1000000 |  4,001,286.68 μs | 79,134.192 μs | 138,597.155 μs |  4,099,934.70 μs |  304000.0000 |  105000.0000 | 7000.0000 |  2442631.23 KB |
|                                    Cursively |   1000000 |  1,748,521.39 μs | 12,104.173 μs |  11,322.251 μs |  1,747,194.50 μs |   44000.0000 |   17000.0000 | 3000.0000 |   352917.94 KB |
|                                FastCsvParser |   1000000 |  3,744,538.57 μs |  4,873.112 μs |   4,558.312 μs |  3,746,208.40 μs |  261000.0000 |   91000.0000 | 6000.0000 |  2104690.52 KB |
|                                    FluentCsv |   1000000 | 57,008,036.84 μs | 72,656.976 μs |  67,963.381 μs | 57,008,157.40 μs | 2197000.0000 |  578000.0000 | 9000.0000 | 17889685.73 KB |
|                                    HomeGrown |   1000000 |  4,210,637.48 μs | 21,321.383 μs |  17,804.321 μs |  4,217,780.10 μs |  151000.0000 |   78000.0000 | 6000.0000 |  1201574.09 KB |
|                          LumenWorksCsvReader |   1000000 |  4,829,114.26 μs | 16,166.246 μs |  13,499.548 μs |  4,834,596.00 μs |  663000.0000 |  243000.0000 | 9000.0000 |  5360375.86 KB |
|                              mgholam_fastCSV |   1000000 |  3,116,639.11 μs | 61,359.232 μs |  57,395.464 μs |  3,140,000.30 μs |  160000.0000 |   57000.0000 | 5000.0000 |  1291174.15 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |   1000000 | 19,566,346.75 μs | 34,590.286 μs |  32,355.775 μs | 19,553,742.20 μs | 6016000.0000 | 1346000.0000 | 9000.0000 | 49090664.68 KB |
|                                    NReco_Csv |   1000000 |  3,367,455.74 μs | 28,492.119 μs |  25,257.521 μs |  3,373,507.75 μs |  151000.0000 |   79000.0000 | 6000.0000 |  1202325.08 KB |
|                            ServiceStack_Text |   1000000 |  4,013,793.30 μs | 12,952.222 μs |  10,112.243 μs |  4,018,133.15 μs |  343000.0000 |  100000.0000 | 6000.0000 |  2767905.91 KB |
|                                 string_Split |   1000000 |  3,114,253.11 μs | 42,156.906 μs |  39,433.596 μs |  3,100,239.10 μs |  297000.0000 |  107000.0000 | 6000.0000 |  2392906.02 KB |
|                       SoftCircuits_CsvParser |   1000000 |  3,364,277.35 μs | 30,950.064 μs |  28,950.709 μs |  3,353,933.80 μs |  263000.0000 |   96000.0000 | 6000.0000 |  2119470.21 KB |
|                              Sylvan_Data_Csv |   1000000 |  1,847,535.71 μs |  8,635.124 μs |   8,077.300 μs |  1,846,263.90 μs |   35000.0000 |   19000.0000 | 3000.0000 |   281141.98 KB |
|                                TinyCsvReader |   1000000 |  7,125,806.94 μs | 47,488.327 μs |  44,420.611 μs |  7,138,051.10 μs |  823000.0000 |  217000.0000 | 9000.0000 |  6669740.84 KB |
